# The SplFloat class

(PECL spl_types >= 0.1.0)

## Introduction

The SplFloat class is used to enforce strong typing of the float type.

## Class synopsis

SplFloat extends SplType {
/* Constants */
const float __default = 0 ;
/* Inherited methods */
SplType::__construct ([ mixed `$initial_value` [, bool `$strict` ]] )
}

## Predefined Constants

`SplFloat::__default`

## Examples

Example #1 SplFloat usage example

`<?php
$float = new SplFloat(3.154);
$newFloat = new SplFloat(3);
try {
$float = 'Try to cast a string value for fun';
} catch (UnexpectedValueException $uve) {
echo $uve->getMessage() . PHP_EOL;
}
echo $float . PHP_EOL;
echo $newFloat . PHP_EOL;
?>`

The above example will output:

    Value not a float
    3.154
    3